React Bootstrap Scrollbar & SmoothScroll

React Scrollbar & SmoothScroll - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap Scrollbar can be used on elements with content too wide or tall to wrap smoothly inside container. Smooth scroll is an animated movement from a trigger to another place of the same page.


Bootstrap SmoothScroll MDB Pro component

Click on the links below to see the live example

To achieve Smooth Scroll effect add a class .smooth-scroll to the parent element of your links

        
            
        import React from "react";
        import { MDBSmoothScroll } from "mdbreact";

        const ScrollSpyPage = () => {
          return (
            <div>
              <MDBSmoothScroll to="section1">Section 1</MDBSmoothScroll>
              <MDBSmoothScroll to="section2">Section 2</MDBSmoothScroll>

              <div id="section1">
                <h3>Section 1</h3>
                <hr />
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
              </div>


              <div id="section2">
                <h3>Section 2</h3>
                <hr />
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
                <h5>Smooth Scroll Example</h5>
              </div>
            </div>
          );
        }

        export default ScrollSpyPage;
     
        
    

Section 1


Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example

Section 2


Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example

Scrollbar

        
            
        import React from "react";
        import { MDBContainer } from "mdbreact";
        import "./scrollbar.css";

        const ScrollBarPage = () => {
          const scrollContainerStyle = { width: "800px", maxHeight: "400px" };
          return (
            <MDBContainer>
              <div className="scrollbar scrollbar-primary  mt-5 mx-auto" style={scrollContainerStyle}>
                <img
                  alt=""
                  src="https://mdbootstrap.com/img/Photos/Others/img%20(51).webp"
                />
              </div>

              <div className="scrollbar my-5 mx-auto" style={scrollContainerStyle}>
                <img
                  alt=""
                  src="https://mdbootstrap.com/img/Photos/Others/img%20(51).webp"
                />
              </div>
            </MDBContainer>
          );
        }
        export default ScrollBarPage;
        
        
    
        
            
          .scrollbar {
            overflow: scroll;
          }

          .scrollbar::-webkit-scrollbar {
            width: 6px;
            height: 6px;
          }

          .scrollbar::-webkit-scrollbar-thumb {
            border-radius: 5px;
            -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
            background: rgba(0, 0, 0, 0.2);
          }

          /* custom colors  */
          .scrollbar-primary::-webkit-scrollbar {
            background-color: #F5F5F5;
          }
          .scrollbar-primary {
            scrollbar-color: #4285f4 #f5f5f5;
          }
          .scrollbar-primary::-webkit-scrollbar-thumb {
            border-radius: 10px;
            -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
            background-color: #4285F4;
          }
        
        
    

Material colors scrollbar

        
            
        import React from 'react';
        import './scrollbar.css';

        export default () => {
          return (
            <div className="scrollbar scrollbar-primary">
              {content}
            </div>
          );
        }
        
        
    
        
            
        .scrollbar {
          overflow-y: scroll;
        }
        .scrollbar-primary {
          scrollbar-color: #4285f4 #f5f5f5;
        }
        .scrollbar-primary::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-primary::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #4285f4;
        }
        
        .scrollbar-danger {
          scrollbar-color: #ff3547 #f5f5f5;
        }
        
        .scrollbar-danger::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-danger::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-danger::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #ff3547;
        }
        
        .scrollbar-warning {
          scrollbar-color: #ff8800 #f5f5f5;
        }
        
        .scrollbar-warning::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-warning::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-warning::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #ff8800;
        }
        
        .scrollbar-success {
          scrollbar-color: #00c851 #f5f5f5;
        }
        
        .scrollbar-success::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-success::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-success::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #00c851;
        }
        
        .scrollbar-info {
          scrollbar-color: #33b5e5 #f5f5f5;
        }
        
        .scrollbar-info::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-info::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-info::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #33b5e5;
        }
        
        .scrollbar-default {
          scrollbar-color: #2bbbad #f5f5f5;
        }
        
        .scrollbar-default::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-default::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-default::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #2bbbad;
        }
        
        .scrollbar-secondary {
          scrollbar-color: #aa66cc #f5f5f5;
        }
        
        .scrollbar-secondary::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-secondary::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-secondary::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #aa66cc;
        }
        
        
        
    
Choose one of the following classes:
  • .scrollbar-primary
  • .scrollbar-secondary
  • .scrollbar-default
  • .scrollbar-info
  • .scrollbar-success
  • .scrollbar-warning
  • .scrollbar-danger

Gradient scrollbar

        
            
          import React from 'react';
          import './scrollbar.css';

          export default () => {
            return (
              <div className="scrollbar scrollbar-juicy-peach">
                {content}
              </div>
            );
          }
        
        
    
        
            
        .scrollbar {
          margin-left: 30px;
          float: left;
          height: 300px;
          width: 65px;
          background: #fff;
          overflow-y: scroll;
          margin-bottom: 25px;
        }
        
        .scrollbar-juicy-peach::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-juicy-peach::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-juicy-peach::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left top,
            right top,
            from(#ffecd2),
            to(#fcb69f)
          );
          background-image: -webkit-linear-gradient(left, #ffecd2 0%, #fcb69f 100%);
          background-image: linear-gradient(to right, #ffecd2 0%, #fcb69f 100%);
        }
        
        .scrollbar-young-passion::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-young-passion::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-young-passion::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left top,
            right top,
            from(#ff8177),
            color-stop(0%, #ff867a),
            color-stop(21%, #ff8c7f),
            color-stop(52%, #f99185),
            color-stop(78%, #cf556c),
            to(#b12a5b)
          );
          background-image: -webkit-linear-gradient(
            left,
            #ff8177 0%,
            #ff867a 0%,
            #ff8c7f 21%,
            #f99185 52%,
            #cf556c 78%,
            #b12a5b 100%
          );
          background-image: linear-gradient(
            to right,
            #ff8177 0%,
            #ff867a 0%,
            #ff8c7f 21%,
            #f99185 52%,
            #cf556c 78%,
            #b12a5b 100%
          );
        }
        
        .scrollbar-lady-lips {
          scrollbar-color: #ff9a9e #f5f5f5;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#ff9a9e),
            color-stop(99%, #fecfef),
            to(#fecfef)
          );
          background-image: -webkit-linear-gradient(
            bottom,
            #ff9a9e 0%,
            #fecfef 99%,
            #fecfef 100%
          );
          background-image: linear-gradient(
            to top,
            #ff9a9e 0%,
            #fecfef 99%,
            #fecfef 100%
          );
        }
        
        .scrollbar-sunny-morning {
          scrollbar-color: #f6d365 #f5f5f5;
        }
        
        .scrollbar-sunny-morning::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-sunny-morning::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-sunny-morning::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #f6d365 0%, #fda085 100%);
          background-image: linear-gradient(120deg, #f6d365 0%, #fda085 100%);
        }
        
        .scrollbar-rainy-ashville::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-rainy-ashville::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-rainy-ashville::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#fbc2eb),
            to(#a6c1ee)
          );
          background-image: -webkit-linear-gradient(bottom, #fbc2eb 0%, #a6c1ee 100%);
          background-image: linear-gradient(to top, #fbc2eb 0%, #a6c1ee 100%);
        }
        
        .scrollbar-frozen-dreams::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-frozen-dreams::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-frozen-dreams::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#fdcbf1),
            color-stop(1%, #fdcbf1),
            to(#e6dee9)
          );
          background-image: -webkit-linear-gradient(
            bottom,
            #fdcbf1 0%,
            #fdcbf1 1%,
            #e6dee9 100%
          );
          background-image: linear-gradient(
            to top,
            #fdcbf1 0%,
            #fdcbf1 1%,
            #e6dee9 100%
          );
        }
        
        .scrollbar-warm-flame::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-warm-flame::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-warm-flame::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(
            45deg,
            #ff9a9e 0%,
            #fad0c4 99%,
            #fad0c4 100%
          );
          background-image: linear-gradient(
            45deg,
            #ff9a9e 0%,
            #fad0c4 99%,
            #fad0c4 100%
          );
        }
        
        .scrollbar-night-fade {
          scrollbar-color: #a18cd1 #f5f5f5;
        }
        
        .scrollbar-night-fade::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-night-fade::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-night-fade::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#a18cd1),
            to(#fbc2eb)
          );
          background-image: -webkit-linear-gradient(bottom, #a18cd1 0%, #fbc2eb 100%);
          background-image: linear-gradient(to top, #a18cd1 0%, #fbc2eb 100%);
        }
        
        .scrollbar-spring-warmth::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-spring-warmth::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-spring-warmth::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#fad0c4),
            to(#ffd1ff)
          );
          background-image: -webkit-linear-gradient(bottom, #fad0c4 0%, #ffd1ff 100%);
          background-image: linear-gradient(to top, #fad0c4 0%, #ffd1ff 100%);
        }
        
        .scrollbar-winter-neva::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-winter-neva::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-winter-neva::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #a1c4fd 0%, #c2e9fb 100%);
          background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
        }
        
        .scrollbar-dusty-grass {
          scrollbar-color: #d4fc79 #f5f5f5;
        }
        
        .scrollbar-dusty-grass::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-dusty-grass::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-dusty-grass::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #d4fc79 0%, #96e6a1 100%);
          background-image: linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
        }
        
        .scrollbar-tempting-azure::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-tempting-azure::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-tempting-azure::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #84fab0 0%, #8fd3f4 100%);
          background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
        }
        
        .scrollbar-heavy-rain::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-heavy-rain::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-heavy-rain::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#cfd9df),
            to(#e2ebf0)
          );
          background-image: -webkit-linear-gradient(bottom, #cfd9df 0%, #e2ebf0 100%);
          background-image: linear-gradient(to top, #cfd9df 0%, #e2ebf0 100%);
        }
        
        .scrollbar-amy-crisp::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-amy-crisp::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-amy-crisp::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #a6c0fe 0%, #f68084 100%);
          background-image: linear-gradient(120deg, #a6c0fe 0%, #f68084 100%);
        }
        .scrollbar-mean-fruit {
          scrollbar-color: #fccb90 #f5f5f5;
        }
        .scrollbar-mean-fruit::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-mean-fruit::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-mean-fruit::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #fccb90 0%, #d57eeb 100%);
          background-image: linear-gradient(120deg, #fccb90 0%, #d57eeb 100%);
        }
        .scrollbar-deep-blue {
          scrollbar-color: #8ec5fc #f5f5f5;
        }
        .scrollbar-deep-blue::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-deep-blue::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-deep-blue::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #e0c3fc 0%, #8ec5fc 100%);
          background-image: linear-gradient(120deg, #e0c3fc 0%, #8ec5fc 100%);
        }
        
        .scrollbar-ripe-malinka {
          scrollbar-color: #f5576c #f5f5f5;
        }
        
        .scrollbar-ripe-malinka::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-ripe-malinka::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-ripe-malinka::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #f093fb 0%, #f5576c 100%);
          background-image: linear-gradient(120deg, #f093fb 0%, #f5576c 100%);
        }
        
        .scrollbar-cloudy-knoxville::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-cloudy-knoxville::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-cloudy-knoxville::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #fdfbfb 0%, #ebedee 100%);
          background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
        }
        
        .scrollbar-morpheus-den {
          scrollbar-color: #330867 #f5f5f5;
        }
        
        .scrollbar-morpheus-den::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-morpheus-den::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-morpheus-den::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#30cfd0),
            to(#330867)
          );
          background-image: -webkit-linear-gradient(bottom, #30cfd0 0%, #330867 100%);
          background-image: linear-gradient(to top, #30cfd0 0%, #330867 100%);
        }
        
        .scrollbar-rare-wind {
          scrollbar-color: #a8edea #f5f5f5;
        }
        
        .scrollbar-rare-wind::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-rare-wind::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-rare-wind::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#a8edea),
            to(#fed6e3)
          );
          background-image: -webkit-linear-gradient(bottom, #a8edea 0%, #fed6e3 100%);
          background-image: linear-gradient(to top, #a8edea 0%, #fed6e3 100%);
        }
        
        .scrollbar-near-moon {
          scrollbar-color: #b490ca #f5f5f5;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#5ee7df),
            to(#b490ca)
          );
          background-image: -webkit-linear-gradient(bottom, #5ee7df 0%, #b490ca 100%);
          background-image: linear-gradient(to top, #5ee7df 0%, #b490ca 100%);
        }
        
        
        
    
Choose one of the following classes:
  • .scrollbar-juicy-peach
  • .scrollbar-young-passion
  • .scrollbar-lady-lips
  • .scrollbar-sunny-morning
  • .scrollbar-rainy-ashville
  • .scrollbar-frozen-dreams
  • .scrollbar-warm-flame
  • .scrollbar-night-fade
  • .scrollbar-spring-warmth
  • .scrollbar-winter-neva
  • .scrollbar-dusty-grass
  • .scrollbar-tempting-azure
  • .scrollbar-heavy-rain
  • .scrollbar-amy-crisp
  • .scrollbar-mean-fruit
  • .scrollbar-deep-blue
  • .scrollbar-ripe-malinka
  • .scrollbar-cloudy-knoxville
  • .scrollbar-morpheus-den
  • .scrollbar-rare-wind
  • .scrollbar-near-moon

Scrollbar options

        
            
          import React from 'react';
          import './scrollbar.css';

          export default () => {
            return (
              <div class="scrollbar square scrollbar-lady-lips thin">
                <div class="force-overflow"></div>
              </div>

              <div class="scrollbar square scrollbar-lady-lips">
                <div class="force-overflow"></div>
              </div>

              <div class="scrollbar scrollbar-black bordered-black square thin">
                <div class="force-overflow"></div>
              </div>

              <div class="scrollbar scrollbar-black bordered-black square">
                <div class="force-overflow"></div>
              </div>

              <div class="scrollbar scrollbar-pink bordered-pink thin">
                <div class="force-overflow"></div>
              </div>

              <div class="scrollbar scrollbar-pink bordered-pink">
                <div class="force-overflow"></div>
              </div>
            );
          }
        
        
    
        
            
        .scrollbar {
          margin-left: 30px;
          float: left;
          height: 300px;
          width: 65px;
          background: #fff;
          overflow-y: scroll;
          margin-bottom: 25px;
        }
        
        .scrollbar-pink::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-pink::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-pink::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #ec407a;
        }
        
        .scrollbar-indigo {
          scrollbar-color: #3f51b5 #f5f5f5;
        }
        
        .scrollbar-indigo::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-indigo::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-indigo::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #3f51b5;
        }
        
        .scrollbar-black {
          scrollbar-color: #000 #f5f5f5;
        }
        
        .scrollbar-black::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-black::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-black::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #000;
        }
        
        .scrollbar-lady-lips {
          scrollbar-color: #ff9a9e #f5f5f5;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-lady-lips::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#ff9a9e),
            color-stop(99%, #fecfef),
            to(#fecfef)
          );
          background-image: -webkit-linear-gradient(
            bottom,
            #ff9a9e 0%,
            #fecfef 99%,
            #fecfef 100%
          );
          background-image: linear-gradient(
            to top,
            #ff9a9e 0%,
            #fecfef 99%,
            #fecfef 100%
          );
        }
        
        .scrollbar-near-moon {
          scrollbar-color: #b490ca #f5f5f5;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #f5f5f5;
          border-radius: 10px;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar {
          width: 12px;
          background-color: #f5f5f5;
        }
        
        .scrollbar-near-moon::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-gradient(
            linear,
            left bottom,
            left top,
            from(#5ee7df),
            to(#b490ca)
          );
          background-image: -webkit-linear-gradient(bottom, #5ee7df 0%, #b490ca 100%);
          background-image: linear-gradient(to top, #5ee7df 0%, #b490ca 100%);
        }
        
        .bordered-pink::-webkit-scrollbar-track {
          -webkit-box-shadow: none;
          border: 1px solid #ec407a;
        }
        
        .bordered-pink::-webkit-scrollbar-thumb {
          -webkit-box-shadow: none;
        }
        
        .bordered-indigo::-webkit-scrollbar-track {
          -webkit-box-shadow: none;
          border: 1px solid #3f51b5;
        }
        
        .bordered-indigo::-webkit-scrollbar-thumb {
          -webkit-box-shadow: none;
        }
        
        .bordered-black::-webkit-scrollbar-track {
          -webkit-box-shadow: none;
          border: 1px solid #000;
        }
        
        .bordered-black::-webkit-scrollbar-thumb {
          -webkit-box-shadow: none;
        }
        
        .square::-webkit-scrollbar-track {
          border-radius: 0 !important;
        }
        
        .square::-webkit-scrollbar-thumb {
          border-radius: 0 !important;
        }
        
        .thin::-webkit-scrollbar {
          width: 6px;
        }
        
        
        
    
Choose one of the following classes:
  • .square
  • .thin
  • .bordered-primary
  • .bordered-secondary
  • .bordered-default
  • .bordered-info
  • .bordered-success
  • .bordered-warning
  • .bordered-danger
  • .bordered-black
  • .bordered-pink
  • .bordered-indigo

Material fading scrollbarMDB Pro component

        
            
          import { MDBContainer, MDBScrollbar } from "mdbreact";
          import "./scrollbar.css";

          const ScrollBarPage = () => {
            const outerContainerStyle = { width: "800px", height: "400px" };
            return (
              <div>
                <MDBContainer style={outerContainerStyle} className="mt-5">
                  <MDBScrollbar>
                    <img
                      alt=""
                      src="https://mdbootstrap.com/img/Photos/Others/img%20(51).webp"
                    />
                  </MDBScrollbar>
                </MDBContainer>

                <MDBContainer style={outerContainerStyle} className="my-5">
                  <MDBScrollbar className="scrollbar-primary">
                    <img
                      alt=""
                      src="https://mdbootstrap.com/img/Photos/Others/img%20(51).webp"
                    />
                  </MDBScrollbar>
                </MDBContainer>
              </div>
            );
          }

          export default ScrollBarPage;
        
        
    
        
            
          // use those classes to change scrollbar color

          .scrollbar-primary .ps__thumb-x, .scrollbar-primary .ps__thumb-y {
            background-color: #4285F4;
          }

          .scrollbar-primary .ps__rail-x:hover > .ps__thumb-x,
          .scrollbar-primary .ps__rail-x:focus > .ps__thumb-x {
            background-color: #4285F4;
          }

          .scrollbar-primary .ps__rail-y:hover > .ps__thumb-y,
          .scrollbar-primary .ps__rail-y:focus > .ps__thumb-y {
            background-color: #4285F4;
          }
        
        
    

React Scrollbar & SmoothScroll - API

In this section you will find advanced information about the Scrollbar & SmoothScroll component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
            import { MDBScrollbar, MDBSmoothScroll } from 'mdbreact';
            
        
    

API Reference: SmoothScroll properties

Name Type Default Description Example
active Boolean false Sets active state of the particular item (sets active state automatically when `spy` is active) <MDBSmoothScroll active to="section1" />
className String Sets custom class of the element <MDBSmoothScroll to="section1" className="customClass" />
disabled Boolean false Disables the element from being clicked or focused <MDBSmoothScroll to="section1" disabled />
duration Number 500 Duration in miliseconds of the scroll animation. <MDBSmoothScroll to="section1" duration="1000" />
offset Number -70 Amount of pixels on the top of the scroll destination element. <MDBSmoothScroll to="section1" offset={-200} />
smooth Boolean true Sets on/off the scroll animation. <MDBSmoothScroll to="section1" smooth={false} />
spy Boolean true Determines if elements should worry about `active` class binding. <MDBSmoothScroll to="section1" spy="false" />
to String Required! ID of the destination element for SmoothScroller. <MDBSmoothScroll to="section1" />
Button's styling props
btn Boolean false Required to work well with Button styling classes. Adds btn class to SmoothScroll <MDBSmoothScroll btn />
block Boolean false Create block level SmoothScroll <MDBSmoothScroll block />
outline Boolean false Renders SmoothScroll with outline, color property determines outline color <MDBSmoothScroll outline />
rounded Boolean false Adds rounded corners effect to SmoothScroll <MDBSmoothScroll rounded />
gradient String false Adds gradient background to SmoothScroll, accepts MDB predefined gradients <MDBSmoothScroll gradient="peach" />
floating Boolean false Adds floating effect to SmoothScroll <MDBSmoothScroll floating />
flat Boolean false Adds flat effect to SmoothScroll - SmoothScroll without backgorund and borders <MDBSmoothScroll flat />
social String Sets background color <MDBSmoothScroll social="fb" />
fixed Boolean false Sets position of SmoothScroll to fixed <MDBSmoothScroll fixed />
top String 'Fixed' property should be set on true. Sets top position of SmoothScroll <MDBSmoothScroll top="..." />
bottom String 45 'Fixed' property should be set on true. Sets bottom position of SmoothScroll <MDBSmoothScroll bottom="..." />
left String 'Fixed' property should be set on true. Sets left position of SmoothScroll <MDBSmoothScroll left="..." />
right String 24 'Fixed' property should be set on true. Sets left position of SmoothScroll <MDBSmoothScroll right="..." />

API Reference: ScrollBar properties

Name Type Default Description Example
className String Sets custom class of the element <MDBScrollBar className="customClass" />
containerRef function Attaches your callback ref to the scrolling container. <MDBScrollBar containerRef={el => this.ScrollRef = el} />

API Reference: ScrollBar Methods

Name Parameters Description Example
onScrollY ref Invoked when the y-axis is scrolled in either direction. <MDBScrollBar onScrollY={this.handleEvent} >
onScrollX ref Invoked when the x-axis is scrolled in either direction. <MDBScrollBar onScrollX={this.handleEvent} >
onScrollUp ref Invoked when scrolling upwards. <MDBScrollBar onScrollUp={this.handleEvent} >
onScrollDown ref Invoked when scrolling downwards. <MDBScrollBar onScrollDown={this.handleEvent} >
onScrollLeft ref Invoked when scrolling to the left. <MDBScrollBar onScrollLeft={this.handleEvent} >
onScrollRight ref Invoked when scrolling to the right. <MDBScrollBar onScrollRight={this.handleEvent} >
onYReachStart ref Invoked when scrolling reaches the start of the y-axis. <MDBScrollBar onYReachStart={this.handleEvent} >
onYReachEnd ref Invoked when scrolling reaches the end of the y-axis (useful for infinite scroll). <MDBScrollBar onYReachEnd={this.handleEvent} >
onXReachStart ref Invoked when scrolling reaches the start of the x-axis. <MDBScrollBar onXReachStart={this.handleEvent} >
onXReachEnd ref Invoked when scrolling reaches the end of the x-axis. <MDBScrollBar onXReachEnd={this.handleEvent} >

Vue Scrollbar and SmoothScroll

Vue Bootstrap Scrollbar and SmoothScroll

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap smooth scroll is an animated movement from a trigger - button, link or any other clickable element - to another place of the same page.


Bootstrap SmoothScroll MDB Pro component

Click on the links below to see the live example.

To achieve Smooth Scroll effect the directive must first be imported and declared as such in on the Vue instance. For Vue to be able to distinguish it as a directive (as opposed to, say, props), it must be added onto a designated anchor element, styled as v-mdb-smooth.

        
            
        <template>
          <main>
            <!--Navigation links with a v-mdb-smooth directive-->
            <mdb-row>
              <ul class="smooth-scroll list-unstyled">
                <li>
                  <h5><a href="#test1" v-mdb-smooth>Click to scroll to section 1</a></h5>
                </li>
                <br>
                <li>
                  <h5><a href="#test2" v-mdb-smooth>Click to scroll to section 2</a></h5>
                </li>
                <br>
              </ul>
            </mdb-row>
            <!--Dummy sections some distance away with IDs coressponding with the links above-->
            <div id="test1">
              <h3>Section 1</h3>
              <hr>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
            </div>
            <div id="test2">
              <h3>Section 2</h3>
              <hr>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
              <h5>Smooth Scroll Example</h5>
            </div>
          </main>
        </template>
        
        
    
        
            
          <script>
            import {
              mdbRow,
              mdbSmooth
            } from 'mdbvue';
            export default {
              name: "SmoothScrollPage",
              components: {
                mdbRow,
              },
              directives: {
                mdbSmooth
              }
            }
          </script>
        
        
    

Section 1


Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example

Section 2


Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example
Smooth Scroll Example

Perfect scrollbar for an image

Scrollbar can be used with image.

        
            
      <template>
        <mdb-scrollbar height="400px" width="800px">
          <img src="https://mdbootstrap.com/img/Photos/Others/food3.webp" />
        </mdb-scrollbar>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbScrollbar
          } from 'mdbvue';
          export default {
            name: 'ScrollbarPage',
            components: {
              mdbScrollbar
            }
          }
        </script>
        
        
    

Material colors scrollbar

Scrollbar can be colored in material design colors.

        
            
      <template>
        <mdb-row>
          <mdb-col class="scrollbar scrollbar-primary">
            <div class="force-overflow"></div>
          </mdb-col>
        </mdb-row>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: "MaterialScrollbarPage",
            components: {
              mdbRow,
              mdbCol
            }
          }
        </script>
        
        
    
        
            
          <style scoped>
            .force-overflow {
              min-height: 450px;
            }

            .scrollbar {
              float: left;
              height: 300px;
              width: 150px;
              background: #fff;
              overflow-y: scroll;
              margin-bottom: 25px;
            }

            .scrollbar-primary::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-primary::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #4285F4;
            }

            .scrollbar-danger::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-danger::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-danger::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #ff3547;
            }

            .scrollbar-warning::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-warning::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-warning::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #FF8800;
            }

            .scrollbar-success::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-success::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-success::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #00C851;
            }

            .scrollbar-info::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-info::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-info::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #33b5e5;
            }

            .scrollbar-default::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-default::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-default::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #2BBBAD;
            }

            .scrollbar-secondary::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-secondary::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-secondary::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #aa66cc;
            }
          </style>
        
        
    
Choose one of the following classes:
  • .scrollbar-primary
  • .scrollbar-secondary
  • .scrollbar-default
  • .scrollbar-info
  • .scrollbar-success
  • .scrollbar-warning
  • .scrollbar-danger

Gradient scrollbar

Scrollbar can be colored with gradient.

        
            
      <template>
        <mdb-row>
          <mdb-col class="scrollbar scrollbar-lady-lips">
            <div class="force-overflow"></div>
          </mdb-col>
        </mdb-row>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: "GradientScrollbarPage",
            components: {
              mdbRow,
              mdbCol
            }
          }
        </script>
        
        
    
        
            
          <style>
            .force-overflow {
              min-height: 450px;
            }

            .scrollbar {
              float: left;
              height: 300px;
              width: 150px;
              background: #fff;
              overflow-y: scroll;
              margin-bottom: 25px;
            }

            .scrollbar-juicy-peach::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-juicy-peach::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-juicy-peach::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left top, right top, from(#ffecd2), to(#fcb69f));
              background-image: -webkit-linear-gradient(left, #ffecd2 0%, #fcb69f 100%);
              background-image: linear-gradient(to bottom, #ffecd2 0%, #fcb69f 100%);
            }

            .scrollbar-young-passion::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-young-passion::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-young-passion::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left top, right top, from(#ff8177), color-stop(0%, #ff867a),
                  color-stop(21%, #ff8c7f), color-stop(52%, #f99185), color-stop(78%, #cf556c), to(#b12a5b));
              background-image: -webkit-linear-gradient(left, #ff8177 0%, #ff867a 0%, #ff8c7f 21%, #f99185 52%, #cf556c 78%,
                  #b12a5b 100%);
              background-image: linear-gradient(to bottom, #ff8177 0%, #ff867a 0%, #ff8c7f 21%, #f99185 52%, #cf556c 78%,
                  #b12a5b 100%);
            }

            .scrollbar-lady-lips::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-lady-lips::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-lady-lips::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#ff9a9e), color-stop(99%, #fecfef),
                  to(#fecfef));
              background-image: -webkit-linear-gradient(bottom, #ff9a9e 0%, #fecfef 99%, #fecfef 100%);
              background-image: linear-gradient(to top, #ff9a9e 0%, #fecfef 99%, #fecfef 100%);
            }

            .scrollbar-sunny-morning::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-sunny-morning::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-sunny-morning::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #f6d365 0%, #fda085 100%);
              background-image: linear-gradient(120deg, #f6d365 0%, #fda085 100%);
            }

            .scrollbar-rainy-ashville::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-rainy-ashville::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-rainy-ashville::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#fbc2eb), to(#a6c1ee));
              background-image: -webkit-linear-gradient(bottom, #fbc2eb 0%, #a6c1ee 100%);
              background-image: linear-gradient(to top, #fbc2eb 0%, #a6c1ee 100%);
            }

            .scrollbar-frozen-dreams::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-frozen-dreams::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-frozen-dreams::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#fdcbf1), color-stop(1%, #fdcbf1),
                  to(#e6dee9));
              background-image: -webkit-linear-gradient(bottom, #fdcbf1 0%, #fdcbf1 1%, #e6dee9 100%);
              background-image: linear-gradient(to top, #fdcbf1 0%, #fdcbf1 1%, #e6dee9 100%);
            }

            .scrollbar-warm-flame::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-warm-flame::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-warm-flame::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(45deg, #ff9a9e 0%, #fad0c4 99%, #fad0c4 100%);
              background-image: linear-gradient(45deg, #ff9a9e 0%, #fad0c4 99%, #fad0c4 100%);
            }

            .scrollbar-night-fade::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-night-fade::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-night-fade::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#a18cd1), to(#fbc2eb));
              background-image: -webkit-linear-gradient(bottom, #a18cd1 0%, #fbc2eb 100%);
              background-image: linear-gradient(to top, #a18cd1 0%, #fbc2eb 100%);
            }

            .scrollbar-spring-warmth::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-spring-warmth::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-spring-warmth::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#fad0c4), to(#ffd1ff));
              background-image: -webkit-linear-gradient(bottom, #fad0c4 0%, #ffd1ff 100%);
              background-image: linear-gradient(to top, #fad0c4 0%, #ffd1ff 100%);
            }

            .scrollbar-winter-neva::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-winter-neva::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-winter-neva::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #a1c4fd 0%, #c2e9fb 100%);
              background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
            }

            .scrollbar-dusty-grass::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-dusty-grass::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-dusty-grass::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #d4fc79 0%, #96e6a1 100%);
              background-image: linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
            }

            .scrollbar-tempting-azure::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-tempting-azure::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-tempting-azure::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #84fab0 0%, #8fd3f4 100%);
              background-image: linear-gradient(120deg, #84fab0 0%, #8fd3f4 100%);
            }

            .scrollbar-heavy-rain::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-heavy-rain::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-heavy-rain::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#cfd9df), to(#e2ebf0));
              background-image: -webkit-linear-gradient(bottom, #cfd9df 0%, #e2ebf0 100%);
              background-image: linear-gradient(to top, #cfd9df 0%, #e2ebf0 100%);
            }

            .scrollbar-amy-crisp::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-amy-crisp::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-amy-crisp::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #a6c0fe 0%, #f68084 100%);
              background-image: linear-gradient(120deg, #a6c0fe 0%, #f68084 100%);
            }

            .scrollbar-mean-fruit::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-mean-fruit::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-mean-fruit::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #fccb90 0%, #d57eeb 100%);
              background-image: linear-gradient(120deg, #fccb90 0%, #d57eeb 100%);
            }

            .scrollbar-deep-blue::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-deep-blue::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-deep-blue::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #e0c3fc 0%, #8ec5fc 100%);
              background-image: linear-gradient(120deg, #e0c3fc 0%, #8ec5fc 100%);
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #f093fb 0%, #f5576c 100%);
              background-image: linear-gradient(120deg, #f093fb 0%, #f5576c 100%);
            }

            .scrollbar-cloudy-knoxville::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-cloudy-knoxville::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-cloudy-knoxville::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #fdfbfb 0%, #ebedee 100%);
              background-image: linear-gradient(120deg, #fdfbfb 0%, #ebedee 100%);
            }

            .scrollbar-morpheus-den::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-morpheus-den::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-morpheus-den::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#30cfd0), to(#330867));
              background-image: -webkit-linear-gradient(bottom, #30cfd0 0%, #330867 100%);
              background-image: linear-gradient(to top, #30cfd0 0%, #330867 100%);
            }

            .scrollbar-rare-wind::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-rare-wind::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-rare-wind::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#a8edea), to(#fed6e3));
              background-image: -webkit-linear-gradient(bottom, #a8edea 0%, #fed6e3 100%);
              background-image: linear-gradient(to top, #a8edea 0%, #fed6e3 100%);
            }

            .scrollbar-near-moon::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-near-moon::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-near-moon::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#5ee7df), to(#b490ca));
              background-image: -webkit-linear-gradient(bottom, #5ee7df 0%, #b490ca 100%);
              background-image: linear-gradient(to top, #5ee7df 0%, #b490ca 100%);
            }
          </style>
        
        
    
Choose one of the following classes:
  • .scrollbar-juicy-peach
  • .scrollbar-young-passion
  • .scrollbar-lady-lips
  • .scrollbar-sunny-morning
  • .scrollbar-rainy-ashville
  • .scrollbar-frozen-dreams
  • .scrollbar-warm-flame
  • .scrollbar-night-fade
  • .scrollbar-spring-warmth
  • .scrollbar-winter-neva
  • .scrollbar-dusty-grass
  • .scrollbar-tempting-azure
  • .scrollbar-heavy-rain
  • .scrollbar-amy-crisp
  • .scrollbar-mean-fruit
  • .scrollbar-deep-blue
  • .scrollbar-ripe-malinka
  • .scrollbar-cloudy-knoxville
  • .scrollbar-morpheus-den
  • .scrollbar-rare-wind
  • .scrollbar-near-moon

Scrollbar options

Depending on the style in which you would like your scrollbar, we have prepared several different types.

        
            
      <template>
        <mdb-row>
          <mdb-col class="scrollbar square scrollbar-lady-lips thin">
            <div class="force-overflow"></div>
          </mdb-col>
          <mdb-col class="scrollbar square scrollbar-lady-lips">
            <div class="force-overflow"></div>
          </mdb-col>
          <mdb-col class="scrollbar scrollbar-black bordered-black square thin">
            <div class="force-overflow"></div>
          </mdb-col>
          <mdb-col class="scrollbar scrollbar-black bordered-black square">
            <div class="force-overflow"></div>
          </mdb-col>
          <mdb-col class="scrollbar scrollbar-pink bordered-pink thin">
            <div class="force-overflow"></div>
          </mdb-col>
          <mdb-col class="scrollbar scrollbar-pink bordered-pink">
            <div class="force-overflow"></div>
          </mdb-col>
        </mdb-row>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: "ScrollbarOptionsPage",
            components: {
              mdbRow,
              mdbCol
            }
          }
        </script>
        
        
    
        
            
          <style>
            .force-overflow {
              min-height: 450px;
            }

            .scrollbar {
              float: left;
              height: 300px;
              width: 150px;
              background: #fff;
              overflow-y: scroll;
              margin-bottom: 25px;
            }

            .scrollbar-pink::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-pink::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-pink::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #ec407a;
            }

            .scrollbar-indigo::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-indigo::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-indigo::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #3f51b5;
            }

            .scrollbar-black::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-black::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-black::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #000;
            }

            .scrollbar-lady-lips::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-lady-lips::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-lady-lips::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#ff9a9e), color-stop(99%, #fecfef),
                  to(#fecfef));
              background-image: -webkit-linear-gradient(bottom, #ff9a9e 0%, #fecfef 99%, #fecfef 100%);
              background-image: linear-gradient(to top, #ff9a9e 0%, #fecfef 99%, #fecfef 100%);
            }

            .scrollbar-near-moon::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-near-moon::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-near-moon::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-gradient(linear, left bottom, left top, from(#5ee7df), to(#b490ca));
              background-image: -webkit-linear-gradient(bottom, #5ee7df 0%, #b490ca 100%);
              background-image: linear-gradient(to top, #5ee7df 0%, #b490ca 100%);
            }

            .bordered-pink::-webkit-scrollbar-track {
              -webkit-box-shadow: none;
              border: 1px solid #ec407a;
            }

            .bordered-pink::-webkit-scrollbar-thumb {
              -webkit-box-shadow: none;
            }

            .bordered-indigo::-webkit-scrollbar-track {
              -webkit-box-shadow: none;
              border: 1px solid #3f51b5;
            }

            .bordered-indigo::-webkit-scrollbar-thumb {
              -webkit-box-shadow: none;
            }

            .bordered-black::-webkit-scrollbar-track {
              -webkit-box-shadow: none;
              border: 1px solid #000;
            }

            .bordered-black::-webkit-scrollbar-thumb {
              -webkit-box-shadow: none;
            }

            .square::-webkit-scrollbar-track {
              border-radius: 0 !important;
            }

            .square::-webkit-scrollbar-thumb {
              border-radius: 0 !important;
            }

            .thin::-webkit-scrollbar {
              width: 6px;
            }
          </style>
          
        
    
Choose one of the following classes:
  • .square
  • .thin
  • .bordered-primary
  • .bordered-secondary
  • .bordered-default
  • .bordered-info
  • .bordered-success
  • .bordered-warning
  • .bordered-danger
  • .bordered-black
  • .bordered-pink
  • .bordered-indigo

Scrollbar usage within cards

Scrollbar can also be used inside the cards.

First title of the news

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

Second title of the news

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

Third title of the news

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

Fourth title of the news

Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson aesthetic. Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.

        
            
      <template>
        <section>
          <!-- Grid row -->
          <mdb-row>
            <!-- Grid column -->
            <mdb-col md="6" class="mb-4">
              <!-- Exaple Card -->
              <mdb-card class="example-card scrollbar-ripe-malinka">
                <mdb-card-body>
                  <h4 id="section1"><strong>First title of the news</strong></h4>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                </mdb-card-body>
              </mdb-card>
              <!-- Exaple Card -->
            </mdb-col>
            <!-- Grid column -->
            <!-- Grid column -->
            <mdb-col md="6" class="mb-4">
              <!-- Exaple Card -->
              <mdb-card class="example-card square scrollbar-cyan bordered-cyan">
                <mdb-card-body>
                  <h4 id="section2"><strong>Second title of the news</strong></h4>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                </mdb-card-body>
              </mdb-card>
              <!-- Exaple Card -->
            </mdb-col>
            <!-- Grid column -->
            <!-- Grid column -->
            <mdb-col md="6" class="mb-4">
              <!-- Exaple Card -->
              <mdb-card class="example-card scrollbar-deep-purple bordered-deep-purple thin">
                <mdb-card-body>
                  <h4 id="section3"><strong>Third title of the news</strong></h4>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                </mdb-card-body>
              </mdb-card>
              <!-- Exaple Card -->
            </mdb-col>
            <!-- Grid column -->
            <!-- Grid column -->
            <mdb-col md="6" class="mb-4">
              <!-- Exaple Card -->
              <mdb-card class="example-card square scrollbar-dusty-grass square thin">
                <mdb-card-body>
                  <h4 id="section4"><strong>Fourth title of the news</strong></h4>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                  <p>Ad leggings keytar, brunch id art party dolor labore. Pitchfork yr enim lo-fi before they sold out
                    qui. Tumblr farm-to-table bicycle rights whatever. Anim keffiyeh carles cardigan. Velit seitan
                    mcsweeney's photo booth 3 wolf moon irure. Cosby sweater lomo jean shorts, williamsburg hoodie minim
                    qui you probably haven't heard of them et cardigan trust fund culpa biodiesel wes anderson
                    aesthetic.
                    Nihil tattooed accusamus, cred irony biodiesel keffiyeh artisan ullamco consequat.</p>
                </mdb-card-body>
              </mdb-card>
              <!-- Exaple Card -->
            </mdb-col>
            <!-- Grid column -->
          </mdb-row>
        </section>
      </template>
      
        
    
        
            
        <script>
          import {
            mdbRow,
            mdbCol,
            mdbCard,
            mdbCardBody
          } from 'mdbvue';
          export default {
            name: "SmoothScrollPage",
            components: {
              mdbRow,
              mdbCol,
              mdbCard,
              mdbCardBody
            }
          }
        </script>
        
        
    
        
            
          <style>
            .scrollbar-deep-purple::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-deep-purple::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-deep-purple::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #512da8;
            }

            .scrollbar-cyan::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-cyan::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-cyan::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #00bcd4;
            }

            .scrollbar-dusty-grass::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-dusty-grass::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-dusty-grass::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #d4fc79 0%, #96e6a1 100%);
              background-image: linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar-track {
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-color: #F5F5F5;
              border-radius: 10px;
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar {
              width: 12px;
              background-color: #F5F5F5;
            }

            .scrollbar-ripe-malinka::-webkit-scrollbar-thumb {
              border-radius: 10px;
              -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
              background-image: -webkit-linear-gradient(330deg, #f093fb 0%, #f5576c 100%);
              background-image: linear-gradient(120deg, #f093fb 0%, #f5576c 100%);
            }

            .bordered-deep-purple::-webkit-scrollbar-track {
              -webkit-box-shadow: none;
              border: 1px solid #512da8;
            }

            .bordered-deep-purple::-webkit-scrollbar-thumb {
              -webkit-box-shadow: none;
            }

            .bordered-cyan::-webkit-scrollbar-track {
              -webkit-box-shadow: none;
              border: 1px solid #00bcd4;
            }

            .bordered-cyan::-webkit-scrollbar-thumb {
              -webkit-box-shadow: none;
            }

            .square::-webkit-scrollbar-track {
              border-radius: 0 !important;
            }

            .square::-webkit-scrollbar-thumb {
              border-radius: 0 !important;
            }

            .thin::-webkit-scrollbar {
              width: 6px;
            }

            .example-card {
              position: relative;
              overflow-y: scroll;
              height: 200px;
            }
          </style>
        
        
    

Scrollbar within form MDB Pro component

Sign up

Forgot Password?

or Sign in with:

SIGN UP

Have an account? Log in

        
            
      <template>
        <mdb-row>
          <mdb-col class="mb-4" md="10" lg="8" xl="5">
            <section class="form-elegant scrollbar-light-blue">
              <mdb-card>
                <mdb-card-body class="mx-4">
                  <div class="text-center">
                    <h3 class="dark-grey-text mb-5"><strong>Sign in</strong></h3>
                  </div>
                  <mdb-input label="Your email" type="email" />
                  <mdb-input label="Your password" type="password" containerClass="mb-0" />
                  <p class="font-small blue-text d-flex justify-content-end pb-3">Forgot
                    <a href="#" class="blue-text ml-1"> Password?</a></p>
                  <div class="text-center mb-3">
                    <mdb-btn type="button" gradient="blue" rounded class="btn-block z-depth-1a">Sign in</mdb-btn>
                  </div>
                  <p class="font-small dark-grey-text text-right d-flex justify-content-center mb-3 pt-2"> or Sign in
                    with:</p>
                  <div class="row my-3 d-flex justify-content-center">
                    <mdb-btn type="button" color="white" rounded class="mr-md-3 z-depth-1a">
                      <mdb-icon fab icon="facebook-f" class="blue-text text-center" />
                    </mdb-btn>
                    <mdb-btn type="button" color="white" rounded class="mr-md-3 z-depth-1a">
                      <mdb-icon fab icon="twitter" class="blue-text" />
                    </mdb-btn>
                    <mdb-btn type="button" color="white" rounded class="z-depth-1a">
                      <mdb-icon fab icon="google-plus-g" class="blue-text" />
                    </mdb-btn>
                  </div>
                </mdb-card-body>
                <mdb-modal-footer class="mx-5 pt-3 mb-1">
                  <p class="font-small grey-text d-flex justify-content-end">Not a member?
                    <a href="#" class="blue-text ml-1"> Sign Up</a></p>
                </mdb-modal-footer>
              </mdb-card>
            </section>
          </mdb-col>
          <mdb-col class="mb-4" md="10" lg="8" xl="5">
            <section class="form-dark scrollbar-dusty-grass thin square">
              <mdb-card class="card-image"
                :style="{'backgroundImage': 'url(https://mdbootstrap.com/img/Photos/Others/pricing-table7.webp)'}">
                <div class="text-white rgba-stylish-strong py-5 px-5 z-depth-4">
                  <div class="text-center">
                    <h3 class="white-text mb-5 mt-4 font-weight-bold"><strong>SIGN</strong>
                      <a class="green-text font-weight-bold"><strong> UP</strong></a></h3>
                  </div>
                  <mdb-input label="Your email" type="text" />
                  <mdb-input label="Your password" type="password" />
                  <mdb-input class="my-5" type="checkbox" id="defaultCheck17" label="Accept the Terms and Conditions" />
                  <mdb-row class="d-flex align-items-center mb-4">
                    <div class="text-center mb-3 col-md-12">
                      <mdb-btn color="success" rounded type="button" class="btn-block z-depth-1">Sign in</mdb-btn>
                    </div>
                  </mdb-row>
                  <mdb-col md="12">
                    <p class="font-small white-text d-flex justify-content-end">Have an account?
                      <a href="#" class="green-text ml-1 font-weight-bold"> Log in</a></p>
                  </mdb-col>
                </div>
              </mdb-card>
            </section>
          </mdb-col>
        </mdb-row>
      </template>
      
        
    
        
            
      <script>
        import {
          mdbRow,
          mdbCol,
          mdbInput,
          mdbTextarea,
          mdbBtn,
          mdbIcon,
          mdbCard,
          mdbCardBody,
          mdbModalFooter
        } from 'mdbvue';
        export default {
          name: 'FormsPage',
          components: {
            mdbRow,
            mdbCol,
            mdbInput,
            mdbTextarea,
            mdbBtn,
            mdbIcon,
            mdbCard,
            mdbCardBody,
            mdbModalFooter
          }
        }
      </script>
      
        
    
        
            
      <style>
        .form-elegant,
        .form-dark {
          height: 500px;
          overflow-y: scroll;
        }
        .form-elegant .font-small {
          font-size: 0.8rem;
        }
        .form-elegant .z-depth-1a {
          -webkit-box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
          box-shadow: 0 2px 5px 0 rgba(55, 161, 255, 0.26), 0 4px 12px 0 rgba(121, 155, 254, 0.25);
        }
        .form-elegant .z-depth-1-half,
        .form-elegant .btn:hover {
          -webkit-box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
          box-shadow: 0 5px 11px 0 rgba(85, 182, 255, 0.28), 0 4px 15px 0 rgba(36, 133, 255, 0.15);
        }
        .form-dark .font-small {
          font-size: 0.8rem;
        }
        .form-dark [type="radio"]+label,
        .form-dark [type="checkbox"]+label {
          font-size: 0.8rem;
        }
        .form-dark [type="checkbox"]+label:before {
          top: 2px;
          width: 15px;
          height: 15px;
        }
        .form-dark .md-form label {
          color: #fff;
        }
        .form-dark input[type=text]:focus:not([readonly]) {
          border-bottom: 1px solid #00C851;
          -webkit-box-shadow: 0 1px 0 0 #00C851;
          box-shadow: 0 1px 0 0 #00C851;
        }
        .form-dark input[type=text]:focus:not([readonly])+label {
          color: #fff;
        }
        .form-dark input[type=password]:focus:not([readonly]) {
          border-bottom: 1px solid #00C851;
          -webkit-box-shadow: 0 1px 0 0 #00C851;
          box-shadow: 0 1px 0 0 #00C851;
        }
        .form-dark input[type=password]:focus:not([readonly])+label {
          color: #fff;
        }
        .form-dark input[type="checkbox"]+label:before {
          content: '';
          position: absolute;
          top: 0;
          left: 0;
          width: 17px;
          height: 17px;
          z-index: 0;
          border: 1.5px solid #fff;
          border-radius: 1px;
          margin-top: 2px;
          -webkit-transition: 0.2s;
          transition: 0.2s;
        }
        .form-dark input[type="checkbox"]:checked+label:before {
          top: -4px;
          left: -3px;
          width: 12px;
          height: 22px;
          border-style: solid;
          border-width: 2px;
          border-color: transparent #00c851 #00c851 transparent;
          -webkit-transform: rotate(40deg);
          -ms-transform: rotate(40deg);
          transform: rotate(40deg);
          backface-visibility: hidden;
          -webkit-backface-visibility: hidden;
          -webkit-transform-origin: 100% 100%;
          -ms-transform-origin: 100% 100%;
          transform-origin: 100% 100%;
        }
        .scrollbar-light-blue::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #F5F5F5;
          border-radius: 10px;
        }
        .scrollbar-light-blue::-webkit-scrollbar {
          width: 12px;
          background-color: #F5F5F5;
        }
        .scrollbar-light-blue::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #82B1FF;
        }
        .scrollbar-dusty-grass::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-color: #F5F5F5;
          border-radius: 10px;
        }
        .scrollbar-dusty-grass::-webkit-scrollbar {
          width: 12px;
          background-color: #F5F5F5;
        }
        .scrollbar-dusty-grass::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
          background-image: -webkit-linear-gradient(330deg, #d4fc79 0%, #96e6a1 100%);
          background-image: linear-gradient(120deg, #d4fc79 0%, #96e6a1 100%);
        }
        .square::-webkit-scrollbar-track {
          border-radius: 0 !important;
        }
        .square::-webkit-scrollbar-thumb {
          border-radius: 0 !important;
        }
        .thin::-webkit-scrollbar {
          width: 6px;
        }
      </style>

Angular Scrollbar

Angular Bootstrap 5 Scrollbar

Scrollbar method which allows you to create a custom scrollbar.

Note: Read the API tab to find all available options and advanced customization


Basic example

Scrollbar is initialized automatically when you add mdbScrollbar directive to your container.

        
            
            <div mdbScrollbar style="position: relative; width: 600px; height: 400px;">
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px;"
              />
            </div>
          
        
    

Config

You can change scrollbar configuration options by passing new configuration object to the config input.

        
            
            <div mdbScrollbar [config]="config" style="position: relative; width: 600px; height: 400px;">
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px;"
              />
            </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              config = {
                handlers: ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'],
                wheelSpeed: 1,
                wheelPropagation: true,
                swipeEasing: true,
                minScrollbarLength: null,
                maxScrollbarLength: null,
                scrollingThreshold: 1000,
                useBothWheelAxes: false,
                suppressScrollX: false,
                suppressScrollY: false,
                scrollXMarginOffset: 0,
                scrollYMarginOffset: 0,
              };
            }
          
        
    

Events

Available scrollbar outputs:

  • scrollX
  • scrollY
  • scrollUp
  • scrollDown
  • scrollLeft
  • scrollRight
  • xReachEnd
  • yReachEnd
  • xReachStart
  • yReachStart

Example

        
            
              <div
                mdbScrollbar
                (scrollY)="onScrollY()"
                (scrollX)="onScrollX()"
                (scrollUp)="onScrollUp()"
                (scrollDown)="onScrollDown()"
                (scrollLeft)="onScrollLeft()"
                (scrollRight)="onScrollRight()"
                (yReachStart)="onYReachStart()"
                (yReachEnd)="onYReachEnd()"
                (xReachStart)="onXReachStart()"
                (xReachEnd)="onXReachEnd()"
                style="position: relative; width: 600px; height: 400px;"
              >
                <img
                  src="https://mdbootstrap.com/img/new/slides/041.webp"
                  alt="..."
                  style="height: 700px; width: 1000px;"
                />
              </div>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                onScrollY(): void {
                  console.log('scroll y');
                }

                onScrollX(): void {
                  console.log('scroll x');
                }

                onScrollUp(): void {
                  console.log('scroll up');
                }

                onScrollDown(): void {
                  console.log('scroll down');
                }

                onScrollLeft(): void {
                  console.log('scroll left');
                }

                onScrollRight(): void {
                  console.log('scroll right');
                }

                onYReachStart(): void {
                  console.log('y reach start');
                }

                onYReachEnd(): void {
                  console.log('y reach end');
                }

                onXReachStart(): void {
                  console.log('x reach start');
                }

                onXReachEnd(): void {
                  console.log('x reach end');
                }
              }
            
        
    

Angular Scrollbar - API


Import

        
            
        import { MdbScrollbarModule } from 'mdb-angular-ui-kit/scrollbar';
        …
        @NgModule ({
          ...
          imports: [MdbScrollbarModule],
          ...
        })
      
        
    

Following options can be added to the [config] input.

Options

Name Type Default Description
handlers string[] ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'] It is a list of handlers to scroll the element.
wheelSpeed number 1 The scroll speed applied to mousewheel event.
wheelPropagation boolean true If this option is true, when the scroll reaches the end of the side, mousewheel event will be propagated to parent element.
swipeEasing boolean true If this option is true, swipe scrolling will be eased.
minScrollbarLength boolean null When set to an integer value, the thumb part of the scrollbar will not shrink below that number of pixels.
maxScrollbarLength boolean null When set to an integer value, the thumb part of the scrollbar will not expand over that number of pixels.
scrollingThreshold number 1000 This sets threshold for ps--scrolling-x and ps--scrolling-y classes to remain. In the default CSS, they make scrollbars shown regardless of hover state. The unit is millisecond.
suppressScrollX boolean false When set to true, the scrollbar in X-axis will not be available, regardless of the content width.
suppressScrollY boolean false When set to true, the scroll bar in Y-axis will not be available, regardless of the content height.
scrollXMarginOffset number 0 The number of pixels the content width can surpass the container width without enabling the X-axis scroll bar. Allows some "wiggle room" or "offset break", so that X-axis scroll bar is not enabled just because of a few pixels.
scrollYMarginOffset number 0 The number of pixels the content width can surpass the container width without enabling the X-axis scroll bar. Allows some "wiggle room" or "offset break", so that X-axis scroll bar is not enabled just because of a few pixels.
        
            
          <div
            mdbScrollbar
            [config]="config"
            style="position: relative; width: 600px; height: 400px"
          >
            <img
              src="https://mdbootstrap.com/img/new/slides/041.webp"
              alt="..."
              style="height: 700px; width: 1000px"
            />
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            config = {
              handlers: ['click-rail', 'drag-thumb', 'keyboard', 'wheel', 'touch'],
              wheelSpeed: 1,
              wheelPropagation: true,
              swipeEasing: true,
              minScrollbarLength: null,
              maxScrollbarLength: null,
              scrollingThreshold: 1000,
              useBothWheelAxes: false,
              suppressScrollX: false,
              suppressScrollY: false,
              scrollXMarginOffset: 0,
              scrollYMarginOffset: 0,
            };
          }
        
        
    

Outputs

Name Type Description
scrollX EventEmitter<any> This event fires when the x-axis is scrolled in either direction.
scrollY EventEmitter<any> This event fires when the y-axis is scrolled in either direction.
scrollUp EventEmitter<any> This event fires when scrolling upwards.
scrollDown EventEmitter<any> This event fires when scrolling downwards.
scrollLeft EventEmitter<any> This event fires when scrolling to the left.
scrollRight EventEmitter<any> This event fires when scrolling to the right.
yReachStart EventEmitter<any> This event fires when scrolling to the right.
xReachStart EventEmitter<any> This event fires when scrolling reaches the start of the x-axis.
xReachEnd EventEmitter<any> This event fires when scrolling reaches the end of the x-axis.
yReachEnd EventEmitter<any> This event fires when scrolling reaches the end of the y-axis (useful for infinite scroll).
        
            
            <div
              mdbScrollbar
              (scrollY)="onScrollY($event)"
              style="position: relative; width: 600px; height: 400px"
            >
              <img
                src="https://mdbootstrap.com/img/new/slides/041.webp"
                alt="..."
                style="height: 700px; width: 1000px"
              />
            </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            onScrollY(event:any): void {
              console.log('scroll y', event);
            }
          }